- 2.2.2
  - Removed an accidental cyclic method call in the SetDestinationToPositionPrefix() that was causing heavy performance issues.

- 2.2.1
  - Adjusted some logic to prevent NREs from occurring.

- 2.2.0
  - Added logic to the SetDestinationToPositionPrefix() so that it only runs the EE-relevant code if an Escape Component is present on the enemy.
  - Renamed EnemyWhitelist to EnemyBlacklist so that it properly describes its purpose.

- 2.1.0
  - Added logic to accommodate for the case where an EnemyAI has a null enemyType or enemyName. This should prevent the NREs that could sometimes cause the registration of enemies in the configuration file to fail.
  - Added logic to remove the EscapeComponent from enemies that were placed on a moon as a prefab. This should prevent the hard-crashes that have been occurring on custom moons that utilize that concept (Solace, for example).
  - Fixed a mistake in the code for determining an inside-spawning enemy's favorite outside spot.

- 2.0.0
  - Almost a complete overhaul from v1.0.0
  - Instead of only allowing enemies a chance to use the EntranceTeleports if they happen to wander close enough, a system has been implemented to make an enemy path directly to an EntranceTeleport and warp to its match on the other half of the level. The range at which they may search for a teleport and the cooldown for an attempted search are configurable per enemy.
    - "Chance To Escape" now represents the chance for them to initiate pathing to the teleport.
  - Implemented a HarmonyPrefix to EnemyAI.SetDestinationToPosition() in order to prevent enemies from getting stuck if the position they want to path to is on the other half of the level.

- 1.0.0  
  - Initial Release.